import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import MlflowLogoLight from './MlflowLogoLight';
import MlflowLogoDark from './MlflowLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const MlflowLogoSvg = forwardRef(function MlflowLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(MlflowLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(MlflowLogoLight, Object.assign({}, props, { ref: ref })));
});
export default MlflowLogoSvg;
